Download it now!
Bug 31654 - XHTML export broken
Summary: XHTML export broken
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 Beta3
Hardware: Other Linux (All)
: high major
Assignee: Cédric Bosdonnat
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 31865
  Show dependency treegraph
 
Reported: 2010-11-16 00:21 UTC by Thorsten Behrens (CIB)
Modified: 2011-01-12 06:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
xhtml export not offered (51.70 KB, image/png)
2010-11-24 01:47 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Behrens (CIB) 2010-11-16 00:21:19 UTC
Open Writer, type some text. Select Export, choose the XHTML export. Export fails, if you have shell output, it looks like this:

Error on line 1862 column 8 of file:/builds/oobuild/ooo-build-pristine-git/build/install/basis-link/share/xslt/export/xhtml/body.xsl:
  SXXP0003: Error reported by XML parser: The element type "xsl:choose" must be terminated
  by the matching end-tag "</xsl:choose>".
Error at xsl:copy-of on line 166 of file:/builds/oobuild/ooo-build-pristine-git/build/install/basis-link/share/xslt/export/common/styles/style_collector.xsl:
  XPST0008: XPath syntax error at char 30 on line 166 in {...t($sourceBaseURL, 'styles.x...}:
    Variable $sourceBaseURL has not been declared
Error at xsl:copy-of on line 169 of file:/builds/oobuild/ooo-build-pristine-git/build/install/basis-link/share/xslt/export/common/styles/style_collector.xsl:
  XPST0008: XPath syntax error at char 30 on line 169 in {...cat($sourceBaseURL, 'meta.x...}:
    Variable $sourceBaseURL has not been declared
Error at xsl:if on line 376 of file:/builds/oobuild/ooo-build-pristine-git/build/install/basis-link/share/xslt/export/common/styles/style_collector.xsl:
  XPST0008: XPath syntax error at char 23 on line 376 in {$onlyStyleOutputEnabled}:
    Variable $onlyStyleOutputEnabled has not been declared
Error at xsl:when on line 595 of file:/builds/oobuild/ooo-build-pristine-git/build/install/basis-link/share/xslt/export/common/styles/style_collector.xsl:
  XPST0008: XPath syntax error at char 23 on line 595 in {$onlyStyleOutputEnabled}:
    Variable $onlyStyleOutputEnabled has not been declared
Error at xsl:for-each on line 694 of file:/builds/oobuild/ooo-build-pristine-git/build/install/basis-link/share/xslt/export/common/styles/style_collector.xsl:
  XPST0008: XPath syntax error at char 23 on line 694 in {document($stylesFileURL)}:
    Variable $stylesFileURL has not been declared
Error at xsl:if on line 70 of file:/builds/oobuild/ooo-build-pristine-git/build/install/basis-link/share/xslt/export/xhtml/header.xsl:
  XPST0008: XPath syntax error at char 13 on line 70 in {$debugEnabled}:
    Variable $debugEnabled has not been declared
Error at xsl:if on line 75 of file:/builds/oobuild/ooo-build-pristine-git/build/install/basis-link/share/xslt/export/xhtml/header.xsl:

(etc.)

Seen on Mac and Linux, in a current beta3 build.
Comment 1 Thorsten Behrens (CIB) 2010-11-17 09:05:09 UTC
Cedric, any chance you could look into this? Andre just confirms it happens for him, too. Similar behaviour with opensuse packages.
Comment 2 Rainer Bielefeld Retired 2010-11-23 21:13:14 UTC
My "LibreOffice 3.3.0Beta3 - WIN XP DE [OOO330m9 (build 3.2.99.3)]" even does not have an XHTML export, From WRITER I only can select export to PDF or MediaWiki. An other bug? Because thi can't be seen wiht WIN I modified Platform. 
I modified Version due to report.

I doubt that this one can be a 3.3 blocker - do we have manpower to handle HTML / XHTML Bugs with high priority?
Comment 3 Thorsten Behrens (CIB) 2010-11-24 01:32:12 UTC
Eh - Fridrich, any idea? Rainer, do you have Java installed & configured?
Comment 4 Rainer Bielefeld Retired 2010-11-24 01:47:25 UTC
Created attachment 40536 [details]
xhtml export not offered

@tbehrens:
Yes do you have Java installed and activated for LibO
Comment 5 Caolán McNamara 2010-11-24 04:02:14 UTC
I cocked this up with a bad merge of one of our own patches. Oops.
Comment 6 Cédric Bosdonnat 2010-11-24 05:57:20 UTC
David actually fixed the XSL files problems. All is working well here now.

http://cgit.freedesktop.org/libreoffice/filters/commit/?id=a720d902988a7fc8e6cbc6e6ab8f82553a56318c
Comment 7 sophie 2011-01-12 06:44:37 UTC
Verified - Closed - Sophie